Subject: [iccrg] new comments on draft-sallantin-iccrg-initial-spreading-01, TSO/FQ/Pacing

From: renaud sallantin <[email-masked]>
Date: Fri, 14 Mar 2014 14:11:04 -0400

Dear all,

This afternoon, we managed to implement Initial Spreading with minor
modifications of the new TSO parameters and TCP stack, notably using the
functions added in the TCP stack by Eric Dumazet to optimize FQ. (in linux
3.13)

Thus, we added a slightly modified version of "tcp_update_pacing_rate"
function,named "tcp_set_initial_pacing_rate", that we call in
"tcp_rcv_state_process" function. Associated with a decrease of the
"TCP_initial_quantum", it enables to add a specific pacing rate to the IW,
and then let FQ continue in its regular way.

This offers very good performance, with minor modifications, and enables to
keep using TSO/GSO.
Thus, Eric Dumazet already provided a solution to our question on how can
we use Initial Spreading with TSO. (draft section 5.3)

have a good weekend,

Renaud